{
  config,
  pkgs,
  lib,
  ...
}:
let
  cfg = config.packages.media-packages;
in
{
  options.packages.media-packages = {
    enable = lib.mkEnableOption "media packages";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      yt-dlp
      ffmpeg
      obs-studio
      imagemagick
      helvum
      gimp
      inkscape
      krita
      kdePackages.breeze
      kdePackages.kdenlive
      blender-hip
      libreoffice
      godot_4

      (pkgs.writeTextFile {
        name = "krita-thumbnails";
        text = ''
          [Thumbnailer Entry]
          TryExec=unzip
          Exec=sh -c "${pkgs.unzip}/bin/unzip -p %i preview.png > %o"
          MimeType=application/x-krita;
        '';
        destination = "/share/thumbnailers/kra.thumbnailer";
      })
    ];
  };
}
